package com.bcxin.ars.dto.task;

import com.bcxin.ars.model.task.Task;

import javax.validation.constraints.NotNull;

public class TaskDetailDto extends Task {
	
	/**  */
	private static final long serialVersionUID = 1L;
	@NotNull
	private Long[] schedules;
	@NotNull
	private String persons;
	
	private Long taskLevelId;
	
	private Long taskTypeId;
	
	private Long taskCatalogId;

	public Long getTaskLevelId() {
		return taskLevelId;
	}

	public void setTaskLevelId(Long taskLevelId) {
		this.taskLevelId = taskLevelId;
	}

	public Long getTaskTypeId() {
		return taskTypeId;
	}

	public void setTaskTypeId(Long taskTypeId) {
		this.taskTypeId = taskTypeId;
	}

	public Long getTaskCatalogId() {
		return taskCatalogId;
	}

	public void setTaskCatalogId(Long taskCatalogId) {
		this.taskCatalogId = taskCatalogId;
	}

	public Long[] getSchedules() {
		return schedules;
	}

	public void setSchedules(Long[] schedules) {
		this.schedules = schedules;
	}

	public String getPersons() {
		return persons;
	}

	public void setPersons(String persons) {
		this.persons = persons;
	}
	
	
}
